Subject: Re: bug#31079: Windows - Emacs-25.3.1 Can't find source.tex file

From: Ikumi Keita <[email-masked]>
Date: Sat, 07 Apr 2018 19:35:41 +0900

Hi Liyu,

>>>>> Liyu Gong <[email-masked]> writes:
> Hi,
> I installed AucTeX (Windows, Emacs-25.3.1) from elpa.gnu.org, but was
> not able to successfully compiled the attached simple LaTeX file. The
> error says:

> ERROR: I can't find file `aa.tex'.

> --- TeX said ---
> ! I can't find file `aa.tex'.
> --- HELP ---
> TeX can't find a file that it needs. If the name of the missing file
> has the extension tex, then it is looking for an input file that you
> specified---either your main file or another file inserted with an
> \input or \include command. If the missing file has the extension sty
> , then you have specified a nonexistent document style or style
> option.

Unfortunately, it doesn't seem to reproduce on my side.  I tested with
emacs 25.2 on windows 10 and AUCTeX 12.1.1 from elpa.  The file you
provided just compiles smooth with the file name "aa.tex".

Running `LaTeX' on `aa' with ``pdflatex  -file-line-error   -interaction=nonstopmode "\input" "aa.tex"''
This is pdfTeX, Version 3.14159265-2.6-1.40.18 (TeX Live 2017/W32TeX) (preloaded format=pdflatex)
 restricted \write18 enabled.
entering extended mode
LaTeX2e <2017-04-15>
Babel <3.15> and hyphenation patterns for 84 language(s) loaded.
(./aa.tex (c:/texlive/2017/texmf-dist/tex/latex/base/article.cls
...
Output written on aa.pdf (1 page, 84758 bytes).
Transcript written on aa.log.

TeX Output finished at Sat Apr  7 18:42:46

Does anyone else experience the same problem with Liyu?

> I tried to downgraded AucTeX, and it turned out that AucTeX-11.91.0
> worked normally, any version that newer than 11.91.0 got the same
> error.

I have no idea currently why such version dependency exists, since the
newest version 12.1.1 works without problem on my side.

Additional information might be helpful, e.g.
- The output of M-x TeX-submit-bug-report
- The content of the process buffer (displayed by C-c C-l)
- The path name of directory where aa.tex is saved
- The type and year of your TeX distribution
- Whatever you think might be clue to resolve this issue

Best regards,
Ikumi Keita